type: php
docroot: ""
php_version: "8.4"
webserver_type: apache-fpm
timezone: UTC
database:
    type: mariadb
    version: "10.11"
hooks:
    post-start:
        - exec: sed -i -e 's/\r$//' ./.ddev/mautic-setup.sh
        - exec: sed -i -e 's/\r$//' ./.git/hooks/*
        - exec: chmod +x ./.ddev/mautic-setup.sh
        - exec: yes | ./.ddev/mautic-setup.sh
upload_dirs:
    - media/files
    - media/images
webimage_extra_packages: ["php${DDEV_PHP_VERSION}-imap"]
use_dns_when_possible: true
composer_version: "2"
nodejs_version: "24"
web_environment: []
corepack_enable: false
